Fetch Payment Link By ID
curl --request GET \
--url https://sandbox-api.payfonte.com/payments/v1/payment-links/{id} \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://sandbox-api.payfonte.com/payments/v1/payment-links/{id}"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://sandbox-api.payfonte.com/payments/v1/payment-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"data": {
"amount": 0,
"isAnonymousPaymentEnabled": false,
"clientId": "payfusion",
"locale": "en",
"logo": "https://files.6thbridge.xyz/public/v1/files/payfusion/content/6a2fc1603d18ca5a47adbe17",
"currency": "NGN",
"country": "NG",
"title": "kksk",
"description": "kksk",
"isAmountFixed": false,
"longURL": "https://staging-checkout.payfusion.io/link/6a7204a536c2106e38fe8e01",
"shortURL": "https://s.6bd.co/payment-link/bN0ASZ",
"minimumAmount": 0,
"maximumAmount": 200000,
"amountLimit": 200000,
"customFields": [],
"redirectURL": "https://staging-checkout.payfusion.io/invoices/summary/6a7204a5580ef8976ef93da8",
"expiresAt": null,
"isActive": true,
"status": "completed",
"parentClientId": "payfusion",
"createdAt": "2026-08-04T15:26:29.757Z",
"updatedAt": "2026-08-05T21:38:39.453Z",
"id": "6a7204a536c2106e38fe8e01",
"analytics": {
"totalTransactionAmount": 200000,
"totalTransactionCount": 11,
"groupByChannel": [
{
"revenue": 10000,
"count": 1,
"channel": "bank_transfer"
},
{
"revenue": 190000,
"count": 10,
"channel": null
}
],
"groupByRevenueAndCount": [
{
"week": "2026-06-29",
"revenue": 0,
"count": 0
},
{
"week": "2026-07-06",
"revenue": 0,
"count": 0
},
{
"week": "2026-07-13",
"revenue": 0,
"count": 0
},
{
"week": "2026-07-20",
"revenue": 0,
"count": 0
},
{
"week": "2026-07-27",
"revenue": 0,
"count": 0
},
{
"week": "2026-08-03",
"revenue": 200000,
"count": 11
},
{
"week": "2026-08-10",
"revenue": 0,
"count": 0
}
],
"clientProviders": [
{
"provider": "bank-transfer-nigeria"
},
{
"provider": "paystack"
}
],
"clientChannels": [
{
"channel": "bank_transfer"
}
]
}
}
}Payment Links
Fetch Payment Link By ID
Retrieve a payment link and its analytics by payment link ID.
GET
/
payments
/
v1
/
payment-links
/
{id}
Fetch Payment Link By ID
Path Parameters
Payment link ID.
⌘I